
QGIS Application - Bug report #10729

R scripts failing due to writing permissions failure in windows
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19115

Description

Hi. I was having trouble using the R scripts after I had enabled the R script and set the path to R (version 3.1, 64 bit).

I was trying to run e.g. Home Range Analysis -> Characteristic hull method. It failed with the feedback that R was installed an configured

correctly but that adehabitathr and deldir was not loaded. Both packages has been installed and are know to work.

In the log window in the background i noticed that there was a writing permission denied message and after fixing the writing permissions

in windows the scritpt started working.

Maybe that workaround should be included in the manual?

Best regards,

Nicolai Jorgensen

History

#1 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#2 - 2014-10-09 07:40 AM - Alexander Bruy

- Category changed from 94 to 124

#3 - 2015-05-01 02:26 PM - Stefan Blumentrath

- Status changed from Open to Closed

Duplicate to: #11603

#4 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#5 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.
#7 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 124 to Processing/Core
